import { ITransactionItem } from '../ITransactionItem.js';
import { IDesignItem } from '../../../item/IDesignItem.js';
import { ISelectionService } from '../../selectionService/ISelectionService.js';
import { IContentChanged } from '../../InstanceServiceContainer.js';
export declare class SelectionChangedAction implements ITransactionItem {
    constructor(oldSelection: IDesignItem[], newSelection: IDesignItem[], selectionService: ISelectionService);
    title?: string;
    get affectedItems(): IDesignItem[];
    undo(): IContentChanged[] | null;
    do(): IContentChanged[] | null;
    oldSelection: IDesignItem[];
    newSelection: IDesignItem[];
    selectionService: ISelectionService;
    mergeWith(other: ITransactionItem): boolean;
}
